import { CSSProperties } from 'vue';
import { ConnectionLineType, ConnectionMode, Elements, PanOnScrollMode, KeyCode, TranslateExtent, NodeTypes, EdgeTypes } from '../../types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
    };
    modelValue: {
        type: import("vue").PropType<Elements<any>>;
    } & {
        default: () => never[];
    };
    nodeTypes: {
        type: import("vue").PropType<NodeTypes>;
    };
    edgeTypes: {
        type: import("vue").PropType<EdgeTypes>;
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode>;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType>;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties>;
    };
    deleteKeyCode: {
        type: import("vue").PropType<KeyCode>;
    };
    selectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    };
    multiSelectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    };
    zoomActivationKeyCode: {
        type: import("vue").PropType<KeyCode>;
    };
    preventScrolling: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapToGrid: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapGrid: {
        type: import("vue").PropType<[number, number]>;
    };
    onlyRenderVisibleElements: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    edgesUpdatable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesDraggable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    selectNodesOnDrag: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    paneMoveable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    defaultZoom: {
        type: import("vue").PropType<number>;
    };
    defaultPosition: {
        type: import("vue").PropType<[number, number]>;
    };
    translateExtent: {
        type: import("vue").PropType<TranslateExtent>;
    };
    nodeExtent: {
        type: import("vue").PropType<TranslateExtent>;
    };
    arrowHeadColor: {
        type: import("vue").PropType<string>;
    };
    markerEndId: {
        type: import("vue").PropType<string>;
    };
    zoomOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    zoomOnPinch: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    panOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    panOnScrollSpeed: {
        type: import("vue").PropType<number>;
    };
    panOnScrollMode: {
        type: import("vue").PropType<PanOnScrollMode>;
    };
    zoomOnDoubleClick: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number>;
    };
    storageKey: {
        type: import("vue").PropType<string>;
    };
    loading: {
        type: import("vue").PropType<string>;
    };
    elements: {
        type: import("vue").PropType<Elements<any>>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    modelValue?: unknown;
    nodeTypes?: unknown;
    edgeTypes?: unknown;
    connectionMode?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    deleteKeyCode?: unknown;
    selectionKeyCode?: unknown;
    multiSelectionKeyCode?: unknown;
    zoomActivationKeyCode?: unknown;
    preventScrolling?: unknown;
    snapToGrid?: unknown;
    snapGrid?: unknown;
    onlyRenderVisibleElements?: unknown;
    edgesUpdatable?: unknown;
    nodesDraggable?: unknown;
    nodesConnectable?: unknown;
    elementsSelectable?: unknown;
    selectNodesOnDrag?: unknown;
    paneMoveable?: unknown;
    minZoom?: unknown;
    maxZoom?: unknown;
    defaultZoom?: unknown;
    defaultPosition?: unknown;
    translateExtent?: unknown;
    nodeExtent?: unknown;
    arrowHeadColor?: unknown;
    markerEndId?: unknown;
    zoomOnScroll?: unknown;
    zoomOnPinch?: unknown;
    panOnScroll?: unknown;
    panOnScrollSpeed?: unknown;
    panOnScrollMode?: unknown;
    zoomOnDoubleClick?: unknown;
    edgeUpdaterRadius?: unknown;
    storageKey?: unknown;
    loading?: unknown;
    elements?: unknown;
} & {
    snapToGrid: boolean;
    onlyRenderVisibleElements: boolean;
    edgesUpdatable: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    paneMoveable: boolean;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    modelValue: Elements<any>;
} & {
    defaultPosition?: [number, number] | undefined;
    id?: string | undefined;
    snapGrid?: [number, number] | undefined;
    markerEndId?: string | undefined;
    elements?: Elements<any> | undefined;
    nodeTypes?: NodeTypes | undefined;
    edgeTypes?: EdgeTypes | undefined;
    connectionMode?: ConnectionMode | undefined;
    connectionLineType?: ConnectionLineType | undefined;
    connectionLineStyle?: CSSProperties | undefined;
    deleteKeyCode?: KeyCode | undefined;
    selectionKeyCode?: KeyCode | undefined;
    multiSelectionKeyCode?: KeyCode | undefined;
    zoomActivationKeyCode?: KeyCode | undefined;
    minZoom?: number | undefined;
    maxZoom?: number | undefined;
    defaultZoom?: number | undefined;
    translateExtent?: TranslateExtent | undefined;
    nodeExtent?: TranslateExtent | undefined;
    arrowHeadColor?: string | undefined;
    panOnScrollSpeed?: number | undefined;
    panOnScrollMode?: PanOnScrollMode | undefined;
    edgeUpdaterRadius?: number | undefined;
    storageKey?: string | undefined;
    loading?: string | undefined;
}> & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    snapToGrid: boolean;
    onlyRenderVisibleElements: boolean;
    edgesUpdatable: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    paneMoveable: boolean;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    modelValue: Elements<any>;
}>;
export default _default;
